​
Select Service
ves-io-schema-app_firewall-API-List
Published April 5, 2023 | Last modified May 28, 2026
Examples of listing app_firewall
Usecase:
List app-firewall
Request using vesctl:
vesctl configuration list app_firewall --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: app-firewall-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 34697f48-c3ee-4932-9fde-b30f8eb7eb48Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/app_firewalls'curl response
HTTP/1.1 200 OKContent-Length: 444Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:03 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "app-firewall-1", "uid": "34697f48-c3ee-4932-9fde-b30f8eb7eb48", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}